#our-vehicles {
    background-color: $color-grey;
    border-top: 1px solid transparent;
    border-bottom: 1px solid transparent;
    h1 {
        color: $color-dark-blue-200;
        font-size: $font-size-4;
        margin: $mg-3 0 $mg-5 0;
    }
    #our-vehicles-slider {
        height: 600px;

        .carousel-control-prev,
        .carousel-control-next {
            opacity: initial;
            i {
                font-size: $font-size-5;
                background-color: $color-dark-white;
                color: $color-blue-100;
                padding: $pd-3;
                border-radius: 0.9rem;
            }
        }

        .carousel-inner,
        .carousel-item {
            height: 95%;
        }

        //******
        .carousel-indicators {
            position: initial;
            li {
                width: initial;
                height: initial;
                margin: 0;
                text-indent: initial;
                border: none;
                opacity: initial;
            }
        }
        //*******

        .carousel-indicators-config {
            margin-bottom: $mg-2;
            li {
                color: $color-dark-blue-200;
                font-weight: $font-weight-bold;
                font-size: $font-size-1;
                padding: $pd-1 $pd-3;
                border-radius: 4rem;
                cursor: pointer;
            }
            li.active {
                color: $color-white;
                background-color: $color-blue-200;
                position: relative;
                &::before {
                    content: "";
                    border-top: $arrow-width solid $color-white;
                    border-left: $arrow-width solid transparent;
                    border-right: $arrow-width solid transparent;
                    position: absolute;
                    bottom: ($arrow-width * (-1)) - $mg-2;
                    left: 50%;
                    transform: translateX(-50%);
                    z-index: 9;
                }
            }
        }

        .carousel-caption-config {
            width: 40%;
            position: absolute;
            top: 8%;
            left: 6%;
            color: $color-white;
            font-size: $font-size-1;
            > p {
                font-weight: $font-weight-bold;
                span {
                    font-weight: $font-weight-normal;
                }
            }
            img {
                width: 60%;
                transform: translateX($pd-2 * -1);
            }
            > p:nth-of-type(2) {
                font-weight: $font-weight-300;
                margin-bottom: $mg-3;
            }

            .carousel-caption-detail {
                margin-bottom: $mg-3;
                .carousel-detail-content {
                    h3 {
                        font-weight: $font-weight-300;
                        font-size: $font-size-5;
                    }
                    p {
                        font-size: $font-size-1;
                        font-weight: $font-weight-bold;
                    }
                }
            }
        }

        .carousel-caption-footer {
            width: 50%;
            position: absolute;
            bottom: 0;
            left: 0;
            border-top: $border-2;
            a {
                font-size: $font-size-1;
                font-weight: $font-weight-bold;
                color: $color-white;
                text-decoration: none;
            }
        }

        .carousel-indicators-xs {
            width: 60%;
            margin: auto;
            background-color: $color-white;
            border: $border-3;

            .indicators-xs-header {
                padding: 0 $pd-2;
                cursor: pointer;
                h3 {
                    font-size: $font-size-1 - 0.2;
                    color: $color-blue-100;
                    font-weight: $font-weight-300;
                    margin: $mg-1;
                    margin-right: auto;
                    padding: $pd-2 0;
                    span {
                        font-weight: $font-weight-bold;
                        color: $color-dark-blue-200;
                    }
                }

                i {
                    font-size: $font-size-5;
                    color: $color-blue-100;
                    transition: transform 0.5s;
                }
            }

            ol {
                margin: 0;
                padding: 0;
                list-style: none;
                border-top: $border-3;
                display: none;
                li {
                    color: $color-dark-blue-200;
                    font-weight: $font-weight-bold;
                    font-size: $font-size-1 - 0.2;
                    padding: $pd-2;
                    cursor: pointer;
                }
            }
        }
    }

    .function-container {
        padding: 0 $pd-8 + 1.5;
        margin: $mg-6 0;
        .function {
            height: 300px;
            box-shadow: $box-shadow-2;
            position: relative;
            cursor: pointer;
            transition: all 0.5s;
            &:hover {
                transform: translateY($mg-2 * -1);
                & .btn-go {
                    background-color: transparent;
                    color: $color-blue-200;
                }
            }
            h3 {
                font-size: $font-size-2;
                @include text($font-weight-bold, $mg-1);
                color: $color-dark-blue-200;
            }
            p {
                font-size: $font-size-1;
                @include text($font-weight-300, $mg-2);
                color: $color-dark-blue-100;
                padding: 0 10%;
                min-height: 50px;

                display: -webkit-box;
                -webkit-line-clamp: 2; // số dòng muốn hiển thị
                -webkit-box-orient: vertical;
                text-overflow: ellipsis;
                overflow: hidden;
            }

            div {
                text-align: center;
                position: absolute;
                top: 48%;
                left: 0;
                right: 0;
            }
        }
    }

    .intro-left-1 {
        background-image: url(../img/intro-3.jpg);
        margin: 0 0 $mg-2;
    }

    .intro-right-1 {
        background-image: url(../img/intro-4.jpg);
        margin-top: 0;
    }

    #discover {
        padding: 0 $pd-8 + 1.5;
        .discover-title {
            h1 {
                font-size: $font-size-4;
                margin-bottom: $mg-1;
            }
            span {
                color: $color-dark-blue-100;
                font-weight: $font-weight-300;
                font-size: $font-size-1;
            }
        }

        .discover-item {
            height: 450px;
            margin-top: $mg-2;
            box-shadow: $box-shadow-2;
            position: relative;
            .discover-item-content {
                text-align: center;
                width: 100%;
                padding: 0 $pd-3;
                position: absolute;
                left: 0;
                bottom: 10%;
                color: $color-dark-blue-200;
                h2 {
                    @include text($font-weight-bold, $mg-2);
                    font-size: $font-size-2;

                    white-space: nowrap;
                    text-overflow: ellipsis;
                    overflow: hidden;
                }
                p {
                    @include text($font-weight-300, $mg-2);
                    font-size: $font-size-1;
                    // padding: 0 $pd-3;

                    display: -webkit-box;
                    -webkit-line-clamp: 2; // số dòng muốn hiển thị
                    -webkit-box-orient: vertical;
                    text-overflow: ellipsis;
                    overflow: hidden;
                }
            }
        }

        .discover-item-6 {
            color: $color-blue-200;
            background-color: $color-white;
            position: relative;
            > i {
                font-size: $font-size-3;
                position: absolute;
                top: 1rem;
                right: 1rem;
            }
            .discover-item-twitter {
                position: absolute;
                top: 30%;
                left: 5%;
                a {
                    color: $color-blue-200;
                    text-decoration: none;
                }
                .discover-twitter-logo {
                    img {
                        border-radius: 0.5rem;
                        margin-right: $mg-1;
                        height: 4rem;
                    }
                    p {
                        font-size: $font-size-1;
                        a:first-child {
                            font-weight: $font-weight-bold;
                        }
                    }
                }

                > p {
                    font-size: $font-size-1;
                    color: $color-dark-blue-200;
                }

                .discover-twitter-interaction {
                    color: $color-blue-200;
                    span {
                        margin-right: $mg-2;
                        transition: color 0.5s;
                        cursor: pointer;
                        &:hover {
                            color: $color-dark-blue-200;
                        }
                    }
                }
            }
        }

        .btn-discover {
            margin: $mg-4 0;
        }
    }
}

.transform-rotate {
    transform: rotate(180deg);
}

.d-fluid {
    max-width: 100%;
}

.pd-col {
    padding: $pd-1;
}
